<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
</head>
<body>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
        crossorigin="anonymous">
</script>
<script type='text/javascript' src="/js/listen-to-stream.js"></script>

<div class="container">
    <form method="post" action="/enter">
        <div class="mb-3">
            <select class="form-select"
                    id="user-select"
                    name="user-name"
                    required>
                <option disabled selected hidden>Choose a user</option>
            </select>
        </div>
        <button class="btn btn-primary">Enter</button>
    </form>
</div>

<script type="text/javascript">
    listenToStream("user-names", function (event) {
        const userName = event.data
        console.log("got user name: ${userName}")
        const userSelect = document.getElementById("user-select")
        const newOption = document.createElement("option")
        newOption.text = userName
        userSelect.add(newOption)
    })
</script>

</body>
</html>